Package org.apache.solr.client.solrj.io.stream

## Class JSONTupleStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.JSONTupleStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `TupleStreamParser`

    public class JSONTupleStream
    extends Object
    implements TupleStreamParser

### Constructor Summary

Constructors
`JSONTupleStream​(Reader reader)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`static JSONTupleStream` `create​(SolrClient server, SolrParams requestParams)`
`Map<String,​Object>` `next()` returns the next Tuple or null

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONTupleStream

    public JSONTupleStream​(Reader reader)

### Method Detail

#### create

    public static JSONTupleStream create​(SolrClient server,
                                         SolrParams requestParams)
                                  throws IOException,
                                         SolrServerException

Throws:
  `IOException`
  `SolrServerException`

#### next

    public Map<String,​Object> next()
                                  throws IOException

returns the next Tuple or null

Specified by:
  `next` in interface `TupleStreamParser`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`